%define pkg_name        Class-DBI-DATA-Schema
%define pkg_version     1.00
%define rpm_pkg_version 1.00
%define rpm_pkg_release 2.n0i.3

Summary:       Execute Class::DBI SQL from DATA sections
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

Requires: perl(Class::DBI) >= 0.94

%if %{!?_without_test:1}0
BuildRequires: perl(Class::DBI) >= 0.94
# for tests
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Digest::MD5)
%endif


%description
This is an extension to Class::DBI which injects a method into your class
to find and execute all SQL statements in the DATA section of the package.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.00-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.2
- version 1.00

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
